Subject: Bug#4398: dpkg broken???

From: "James A. Robinson" <[email-masked]>
Date: Wed, 04 Sep 1996 09:39:45 -0400

Package: dpkg
Maintainer: Ian Jackson <[email-masked]>
Version: 1.3.14

I think dpkg may be broken -- when installing dvipsk it seems to
either ignore or eat some files in the deb file.  I manually unpacked
the dvipsk.deb file with dpkg-deb --extract, and the config.ps file
was there.  Yet when I install it with dpkg -i, it either isn't
unextracted or it gets removed.  The dvipsk postinst just calls
install-info.

[lestat:/usr/lib/texmf/dvips]# dpkg -i ~debian/tex/dvipsk_5.58f-5.deb 
(Reading database ... 32822 files and directories currently installed.)
Preparing to replace dvipsk 5.58f-5 (using .../debian/tex/dvipsk_5.58f-5.deb) ...
Unpacking replacement dvipsk ...
Setting up dvipsk (5.58f-5) ...

[lestat:/usr/lib/texmf/dvips]# dpkg --search config.ps
dvipsk: /usr/lib/texmf/dvips/config.ps
[lestat:/usr/lib/texmf/dvips]# ls -l config.ps
ls: config.ps: No such file or directory